# std::chrono::year::max

From cppreference.com
< cpp‎ | chrono‎ | year

static constexpr year max() noexcept; |  | (since C++20)

Returns the largest possible `year`, that is, std::chrono::year (32767).

### Return value

std::chrono::year (32767)

### Example

Run this code

    #include <chrono>
    #include <iostream>

    int main()
    {
        std::cout << "The maximum year is: " << (int)std::chrono::year::max() << '\n';
    }

Output:

    The maximum year is: 32767

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year/max&oldid=157520"